<?xml version="1.0" encoding="utf-8"?>
<ScrollView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".Fragments.LoginFragment">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <ImageButton
            android:id="@+id/imagebutton_login_return"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_go_back"
            android:padding="8dp"
            android:background="@color/color_white"/>

        <RelativeLayout
            android:layout_margin="32dp"
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <LinearLayout
                android:id="@+id/linearlayout_login"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_horizontal"
                android:orientation="vertical">

                <ImageView
                    android:layout_width="200dp"
                    android:layout_height="75dp"
                    android:layout_marginTop="32dp"
                    android:src="@drawable/img_youtube_logo" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="32dp"
                    android:text="@string/iniciar_sesion"
                    android:textSize="20sp" />

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="32sp"
                    android:layout_marginVertical="8dp">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/textinput_login_user"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/usuario"
                        android:maxLength="32"
                        android:singleLine="true" />

                </com.google.android.material.textfield.TextInputLayout>

                <com.google.android.material.textfield.TextInputLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="32sp"
                    android:layout_marginVertical="8dp">

                    <com.google.android.material.textfield.TextInputEditText
                        android:id="@+id/textinput_password_user"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:hint="@string/contrase_a"
                        android:inputType="textPassword"
                        android:maxLength="16"
                        android:maxLines="1" />
                </com.google.android.material.textfield.TextInputLayout>

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_below="@id/linearlayout_login"
                android:layout_marginTop="32dp"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:gravity="center">

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_goto_register"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/crear_cuenta"
                            android:textColor="@color/color_red" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="0.5"
                        android:gravity="center">

                        <com.google.android.material.button.MaterialButton
                            android:id="@+id/button_login"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="@string/siguiente"
                            app:backgroundTint="@color/color_red" />

                    </LinearLayout>

                </LinearLayout>

                <TextView
                    android:id="@+id/textview_login_forgot_password"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="8dp"
                    android:layout_marginBottom="24dp"
                    android:gravity="center"
                    android:text="@string/has_olvidado_tu_contrase_a"
                    android:textSize="16sp" />

            </LinearLayout>

        </RelativeLayout>

    </RelativeLayout>

</ScrollView>